﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlappyChart
{
    public class GameOptions
    {
        /// <summary>
        /// Horizontal speed.
        /// </summary>
        public static double WallSpeed = 1;

        /// <summary>
        /// Number of steps(obstacles) in the game.
        /// </summary>
        public static int NumberOfSteps = 100;

        /// <summary>
        /// Whether or not the game plays sound effects.
        /// </summary>
        public static bool PlaySounds = true;

        /// <summary>
        /// Whether or not the game uses DirectX rendering.
        /// </summary>
        public static bool UseDirectX = true;
    }
}
