﻿using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Media;

namespace ControlExplorer
{
    public static class ApplicationHelper
    {
        private static Color lightThemeBackground = Color.FromArgb(255, 255, 255, 255);
        //private static Color darkThemeBackground = Color.FromArgb(255, 0, 0, 0);

        public static bool IsLightTheme
        {
            get
            {
                var backgroundBrush = (SolidColorBrush)Application.Current.Resources["PhoneBackgroundBrush"];
                return backgroundBrush.Color == lightThemeBackground;
            }
        }
    }
}
