﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace SalesDashboard
{
    public sealed partial class TotalSales : UserControl
    {
        public TotalSales()
        {
            this.InitializeComponent();
            
        }

        private void UserControl_Loaded_1(object sender, RoutedEventArgs e)
        {
            // format values
            Data.SampleDataSource dataSource = this.DataContext as Data.SampleDataSource;
            if (dataSource != null)
            {
                double totalSales = dataSource.TotalSales / 1000;
                gauge.Value = totalSales;
                runTotal.Text = totalSales.ToString();
            }
        }
    }
}
