﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using System.Text;
using System.Xml.Serialization;


namespace StockPortfolio.Model
{
    
    public class User : Common.BindableBase
    {

        public User()
        {
            this.MyStocks = new List<Stock>();
            this.HistoricalTradeStock = new List<HistoricalTradeStock>();
        }
        private string _name;
        
        public string Name
        {
            get { return _name; }
            set { this.SetProperty(ref _name, value); }
        }
        public string Email { get; set; }
        public string Phone { get; set; }

        private double _balance;      
        public double Balance
        {
            get { return _balance; }
            set { this.SetProperty(ref _balance, value); }
        }
      
        public List<HistoricalTradeStock> HistoricalTradeStock { get; set; }

        public List<Stock> MyStocks { get; set; }
       
    }

}
