﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace OrgChartSamplesLib2013
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainSample : Page
    {
        public MainSample()
        {
            this.InitializeComponent();

            // create hieararchy
            Platform winrt = new Platform() { Name = "Windows RT" };
            Platform winjs = new Platform() { Name = "HTML" };
            Platform xaml = new Platform() { Name = "XAML" };
            Platform dx = new Platform() { Name = "DirectX" };

            winrt.Subplatforms = new List<Platform>();
            winrt.Subplatforms.Add(winjs);
            winrt.Subplatforms.Add(xaml);
            winrt.Subplatforms.Add(dx);

            winjs.Subplatforms = new List<Platform>();
            winjs.Subplatforms.Add(new Platform() { Name = "JavaScript" });

            xaml.Subplatforms = new List<Platform>();
            xaml.Subplatforms.Add(new Platform() { Name = "C#" });
            xaml.Subplatforms.Add(new Platform() { Name = "VB" });

            dx.Subplatforms = new List<Platform>();
            dx.Subplatforms.Add(new Platform() { Name = "C++" });

            // set to orgchart
            c1OrgChart1.Header = winrt;
        }

    }

    public class Platform
    {
        public string Name { get; set; }
        public IList<Platform> Subplatforms { get; set; }
    }
}
