﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using C1.Xaml.Chart;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace TileViewSamples
{
    public sealed partial class ReportSummary : UserControl
    {
        public Palette Palette
        {
            get
            {
                return salesChart.Palette;
            }
            set
            {
                salesChart.Palette = value;
            }
        }

        public ReportSummary()
        {
            this.InitializeComponent();

            salesChart.View.AxisX.MajorGridStrokeThickness = 0;
            salesChart.Data.ItemNames = "Q1/09 Q2/09 Q3/09 Q4/09 Q1/10 Q2/10 Q3/10 Q4/10".Split(' ');
        }
    }
}
