﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using C1.Xaml.Chart;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace TileViewSamples
{
    public sealed partial class SalesPerMonth : UserControl
    {
        public Palette Palette
        {
            get
            {
                return salesChart.Palette;
            }
            set
            {
                salesChart.Palette = value;
            }
        }
        public SalesPerMonth()
        {
            this.InitializeComponent();
			
            salesChart.View.AxisX.MajorGridStrokeThickness = 0;
            salesChart.Data.ItemNames = "January February March April".Split(' ');
        }
    }
}
